import os
from glob import glob

from setuptools import find_packages, setup

package_name = 'fanuc_web_connector'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        (os.path.join('share', package_name, 'launch'), glob(os.path.join('launch', '*launch.[pxy][yma]*')))
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='christoph',
    maintainer_email='christoph.andres@stud.unileoben.ac.at',
    description='TODO: Package description',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            "trajectory_composer = fanuc_web_connector.trajectory_composer:main",
            "replay_manager = fanuc_web_connector.replay_manager:main"
        ],
    },
)
