from setuptools import setup
import os
from glob import glob

package_name = 'fanuc_control_panel'

setup(
    name=package_name,
    version='0.0.0',
    packages=[package_name],
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        (os.path.join('share', package_name, 'launch'), glob(os.path.join('launch', '*launch.[pxy][yma]*')))
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='christoph',
    maintainer_email='christoph.andres@stud.unileoben.ac.at',
    description='TODO: Package description',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            "fanuc_control_panel_connector = fanuc_control_panel.fanuc_control_panel_connector:main",
            "fanuc_control_panel_gui = fanuc_control_panel.fanuc_control_panel_gui:main",
            "fanuc_control_panel_status_viewer = fanuc_control_panel.fanuc_control_panel_status_viewer:main",
            "fanuc_control_panel_trajectory_queue = fanuc_control_panel.fanuc_control_panel_trajectory_queue:main"
        ],
    },
)
